<?php

declare(strict_types=1);

namespace Dedi\SyliusCmsPlugin\UiElement;


use Dedi\SyliusCmsPlugin\Form\Type\UiElement\TextAndImageLeftType;
use MonsieurBiz\SyliusRichEditorPlugin\UiElement\AbstractUiElement;
use MonsieurBiz\SyliusRichEditorPlugin\UiElement\UiElementInterface;

class TextAndImageLeft extends AbstractUiElement implements UiElementInterface
{
    protected $type = 'text_and_image_left';

    public function getFields(): array
    {
        return [
            'image',
            'content',
        ];
    }

    public function getFormClass(): string
    {
        return TextAndImageLeftType::class;
    }

    public function getTemplate(): string
    {
        return '@DediSyliusCmsPlugin/bundles/MonsieurBizSyliusRichEditorPlugin/UiElement/textAndImageLeft.html.twig';
    }
}
